Count builds
GET
/builds/countGet count of builds for a specific project
Example
Section titled “Example”Use resource IDs from your own project. Keep the API token in your server or CI environment.
import { createConfiguration, BuildsApi } from '@testcollab/sdk';
const config = createConfiguration(process.env.TESTCOLLAB_TOKEN!);const api = new BuildsApi(config);
const result = await api.countBuilds({ "project": 123});console.log(result);curl --request GET \ "https://api.testcollab.io/builds/count?token=$TESTCOLLAB_TOKEN&project=123"Parameters
Section titled “Parameters”| Name | Location | Type | Required | Description |
|---|---|---|---|---|
project |
query | number | Yes | Project ID |
environment |
query | string | No | Filter by exact environment name |
_filter |
query | string | No | Stringified filter object |
Response
Section titled “Response”200 — Count of builds
| Field | Type | Required | Description |
|---|---|---|---|
count |
number | Yes | — |
{ "count": 123}Errors
Section titled “Errors”| Status | Meaning |
|---|---|
401 |
Unauthorized |
403 |
Forbidden |
500 |
Internal server error |